Bug 1247097 - <function vm_name at 0x3a989b0> displayed in control simulation vm selection dropdown list
<function vm_name at 0x3a989b0> displayed in control simulation vm selection ...
Status: CLOSED WORKSFORME
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: Greg McCullough
Dmitry Misharov
control:ui
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 06:32 EDT by Aziza Karol
Modified: 2016-07-12 02:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 05:34:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snpshot (83.92 KB, image/png)
2015-07-27 06:32 EDT, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2015-07-27 06:32:11 EDT
Created attachment 1056535 [details]
snpshot

Description of problem:


Version-Release number of selected component (if applicable):
5.4.1

How reproducible:
100%

Steps to Reproduce:
1.Navigate to control simulation
2.In Event Selection select
  Type:VM operation
  Event: VM power on (or any other event)
3.In VM selection select Single VM and  check the drop down list


Actual results:
<function vm_name at 0x3a989b0> is displayed.Vms with this name does not exists. see attached screenshot

Expected results:
only VMs should be displayed.

Additional info:
Comment 3 Milan Zázrivec 2015-08-03 10:20:27 EDT
After some investigation -- UI basically does nothing wrong here,
it's just displaying information about a VM's name as it is stored
in the database.

Not sure how the info got there though, my guess is during discovery.
Comment 4 Milan Zázrivec 2015-08-03 10:22:00 EDT
Changing this to the 'Providers' component (not entirely sure it's
the right component here).

Please route it as you see appropriate.

Thanks.
Comment 5 Greg Blomquist 2016-02-19 16:49:53 EST
This one is making the rounds.  GM, this sounds like something in control?
Comment 6 Greg McCullough 2016-02-19 19:38:50 EST
Azaiz - This just got assigned over to me and I am unable to recreate on a 5.5 and upstream.  Are you still able to recreate this situation, and if so can we get access to your appliance or database?  Otherwise I would suggest we close this ticket.  Thanks.
Comment 7 Aziza Karol 2016-02-23 05:34:53 EST
This issue is not reproducible in 5.5.2.4.20160127105142_395c086. 
Closing the ticket.

Note You need to log in before you can comment on or make changes to this bug.